Status: Closed Start date: 24 Jul 2013

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Parser/Interpreter Estimated time: 0.00 hour

Target version: CoCoA-5.0.9 Spent time: 2.75 hours

Description

Adding it functions like factor and SmoothFactor can become oneliners

Related issues:

Related to CoCoA-5 - Feature #393: add Value::from(HPSeries) Closed 24 Jul 2013

Related to CoCoA-5 - Support #395: Naming conventions: upper or lower case? Closed 01 Aug 2013

History

#1 - 24 Jul 2013 17:44 - Anna Maria Bigatti

- Category set to Parser/Interpreter

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.9

- % Done changed from 0 to 90

Implemented for BigInt and RingElem (in AST.H and Interpreter.C).

Looks like it should be templated, but I'm doing something worng and does not compile.

... for the moment I give up with templates.

#2 - 30 Jul 2013 12:48 - Anna Maria Bigatti

Following our naming conventions

/**/ Factor(x^2-1);

Record[Factors := [x +1, x -1], Multiplicities := [1, 1], RemainingFactor := 1]

should it be factors and multiplicities?    

REPLY JAA thinks we should continue to apply the standard naming convention (i.e. yes, they should both be lower case)

#3 - 01 Aug 2013 07:32 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

done, it works, no complaints ==> closing this issue
